Page MenuHomePhabricator

Convert all xtools issues to Phabricator
Closed, ResolvedPublic

Description

Currently, there are two places where a user can report bugs with xtools (GitHub and Phabricator). Might be a good idea to choose one and port all of the bug reports into it.

I personally would recommend Phabricator, because it's more powerful. But this does deserve some discussion.

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 7 2016, 5:55 AM

Using Phabricator would still mean that xTools developers need to be in two places at once since all the source code is on GitHub. That's why reports are allowed at either. If the goal is to centralize everything to one place, GitHub makes the most sense to me since the code is there.

Matthewrbowker triaged this task as Medium priority.May 7 2016, 6:11 AM

Using Phabricator would still mean that xTools developers need to be in two places at once since all the source code is on GitHub. That's why reports are allowed at either. If the goal is to centralize everything to one place, GitHub makes the most sense to me since the code is there.

Fair enough. I'm open to being convinced either way. ACC currently uses GitHub exclusively for its issue tracking.

Any decisions?

Any decisions?

None yet. We will probably hold off until the xTools rewrite is done.

I would prefer Phabricator so issues can be integrated or blocked by other issues unrelated to xtools. For instance translation issues, or Labs-related issues, etc. This just makes things easier to track. If we want to host the code here on Phabricator we can

I have added the xtools repository to Phabricator. See rXT tool-xtools

Aklapper changed the task status from Open to Stalled.Nov 18 2016, 12:14 PM

None yet. We will probably hold off until the xTools rewrite is done.

Setting task status to stalled. Where to follow the rewrite?

None yet. We will probably hold off until the xTools rewrite is done.

Setting task status to stalled. Where to follow the rewrite?

Main repository is https://github.com/x-tools/xtools-rebirth, my working copy is at https://github.com/Matthewrbowker/xtools-rebirth (This is the better one right now). We have a running copy of the rewrite at http://xtools-dev.wmflabs.org/, which is updated fairly frequently.

I'm going to claim this task right now. As I finish the xTools rewrite, I'll close out any GitHub issues. Then, we can close issue submission for new issues.

Matthewrbowker moved this task from Inbox to Working on the XTools board.Nov 24 2016, 12:03 AM
Addshore added a subscriber: Addshore.
Matthewrbowker added a subscriber: Samwilson.

@Samwilson @MusikAnimal I'd like to unstall this task if possible. Can we possibly start working through the issues on GitHub and begin handling them? Any that are assigned to me you are welcome to take.

I am assuming all GitHub issues are to be fixed in the rebirth, unless it's a security issue.

@Samwilson @MusikAnimal I'd like to unstall this task if possible. Can we possibly start working through the issues on GitHub and begin handling them? Any that are assigned to me you are welcome to take.

I am assuming all GitHub issues are to be fixed in the rebirth, unless it's a security issue.

Sure, we can start migrating them. And yes I agree, no more fixes to the legacy xtools :)

Matthewrbowker renamed this task from Convert all xtools issues to either Phabricator or GitHub to Convert all xtools issues to Phabricator.Jul 12 2017, 4:14 AM

Once we turn off GH issues, the old issue queue is hidden and all previous issue links become 404s I think. Is that going to be a problem?

Once we turn off GH issues, the old issue queue is hidden and all previous issue links become 404s I think. Is that going to be a problem?

Yes. I'm thinking it might be wise to migrate all issues to Phabricator. Alternatively, we can keep the issues on as part of T170367 Option A and just disallow any new ones.

disallow any new ones.

Is that possible? Or do you mean just tell people not to create new ones there?

disallow any new ones.

Is that possible? Or do you mean just tell people not to create new ones there?

I thought we would just need to tighten the repository permissions, but my Google-foo is failing me. Let me research some more and get back to you.

The other things we could turn off are the GitHub wiki and projects features. Just to clear up the navigation there.

Matthewrbowker changed the task status from Stalled to Open.Jul 21 2017, 4:44 AM

Reopening, as we are now actively closing issues attached to the xtools-legacy repo.

Matthewrbowker closed this task as Resolved.Jul 28 2017, 8:50 PM
Matthewrbowker moved this task from Working to Complete on the XTools board.

All issues are migrated to Phabricator now.